package org.jenkinsci.plugins.p4_client.connection;

import java.util.Set;
import java.util.SortedMap;
import java.util.TreeMap;

public class ConnectionPool {

	private SortedMap<String, ConnectionData> pool = new TreeMap<String, ConnectionData>();

	public void add(ConnectionData c) {
		pool.put(c.getName(), c);
	}

	public void remove(String name) {
		pool.remove(name);
	}

	public Set<String> getNames() {
		return pool.keySet();
	}
}
